Subject: Re: GSoC 2019: Git's application submitted

From: Thomas Gummerer <[email-masked]>
Date: Tue, 12 Feb 2019 20:25:01 +0000

On 02/12, Christian Couder wrote:
> On Mon, Feb 11, 2019 at 11:18 PM Thomas Gummerer <[email-masked]> wrote:
> >
> > On 02/11, Christian Couder wrote:
> 
> > > Historically though we have always been very optimistic in what we
> > > thought a student could accomplish in a GSoC. And we are very likely
> > > to find more ideas for improvements during the GSoC, in case
> > > everything is "finished" before the end. I actually think that it has
> > > never happened that a student both "finished" the project before the
> > > end, and that no idea for improvement on top of the work was found.
> >
> > Fair enough.  I think there's still a number of things that could do
> > with some refactoring in 'builtin/stash.c', e.g. use more of the
> > libgit.a API, instead of using the run_command API, or potentially
> > other improvements that could be made.
> >
> > Another thing that may be useful to do is to write down some actual
> > technical documentation on the format of what a stash commit looks
> > like.
> 
> Yeah, using more of the libgit.a API, instead of the run_command API,
> and writing technical documentation on the stash commit format look
> like good ideas to me. I think I will add those items to the project
> description if you don't mind.

Sure that sounds good, thanks!  I think using more of the libgit.a API
should probably be an optional endeavor, but writing the technical
documentation may be a good thing to include in the project.

> > > So after all if you are willing to co-mentor such a project, I would
> > > be ok to co-mentor it with you, and we should add it to the list.
> >
> > Ok, I'll submit a PR to add it to the list.
> 
> Great! I merged your PR.
> 
> I also resurrected the "Convert scripts to builtins" idea as I think
> there might still be shell scripts that could be converted, like
> perhaps git-merge-octopus.sh, git-merge-one-file.sh and
> git-merge-resolve.sh.

These all look quite small, but yeah perhaps converting a few of them
over the course of the summer might be an alright project.

> So I think we should be good regarding Google requirements.
> 
> Thanks,
> Christian.